CREATE TABLE activity_rewards (
    id BIGSERIAL PRIMARY KEY,
    activity_id BIGINT NOT NULL,
    invite_threshold INT NOT NULL,
    reward_type VARCHAR(50) NOT NULL,
    reward_value VARCHAR(255) NOT NULL,
    skip_validation BOOLEAN NOT NULL DEFAULT FALSE,
    CONSTRAINT fk_activity
        FOREIGN KEY(activity_id)
        REFERENCES activities(id)
        ON DELETE CASCADE
);
